/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for ProjectionEponymousName
 */
public enum EnumCM_ProjectionEponymousName 
{
	//CID 4012 Projection Eponymous Name
	ALBERS_SCHONBERG("Albers-Schonberg"),
	ALEXANDER("Alexander"),
	APPLE("Apple"),
	ARCELIN("Arcelin"),
	BECLERE("Beclere"),
	BERTEL("Bertel"),
	BLACKETT_HEALY("Blackett-Healy"),
	BREWERTON_PROJECTION("Brewerton projection"),
	BRODEN("Broden"),
	BURMAN("Burman"),
	CAHOON("Cahoon"),
	CALDWELL("Caldwell"),
	CAMP_COVENTRY("Camp-Coventry"),
	CAUSTON("Causton"),
	CHAMBERLAIN("Chamberlain"),
	CHASSARD_LAPINE("Chassard-Lapine"),
	CHAUSSE("Chausse"),
	CLEAVES("Cleaves"),
	CLEMENTS("Clements"),
	CLEMENTS_NAKAYAMA("Clements-Nakayama"),
	COLCHER_SUSSMAN("Colcher-Sussman"),
	DANELIUS_MILLER("Danelius-Miller"),
	DUNLAP("Dunlap"),
	ERASO_MODIFICATION("Eraso Modification"),
	FERGUSON("Ferguson"),
	FISK("Fisk"),
	FLEISCHNER("Fleischner"),
	FOLIO("Folio"),
	FRIEDMAN("Friedman"),
	FUCHS("Fuchs"),
	GARTH("Garth"),
	GAYNOR_HART("Gaynor-Hart"),
	GRANDY("Grandy"),
	GRASHEY("Grashey"),
	HAAS("Haas"),
	HARRIS_BEATH_AXIAL_PROJECTION("Harris Beath axial projection"),
	HENSCHEN("Henschen"),
	HICKEY("Hickey"),
	HIRTZ_MODIFICATION("Hirtz Modification"),
	HOLLY("Holly"),
	HOLMBLAD("Holmblad"),
	HOUGH("Hough"),
	HSIEH("Hsieh"),
	HUGHSTON("Hughston"),
	ISHERWOOD("Isherwood"),
	JUDD("Judd"),
	JUDET_PROJECTION("Judet projection"),
	KANDEL("Kandel"),
	KASABACH("Kasabach"),
	KEMP_HARPER("Kemp Harper"),
	KITE("Kite"),
	KOVACS("Kovacs"),
	KUCHENDORF("Kuchendorf"),
	KURZBAUER("Kurzbauer"),
	LAQUERRIERE_PIERQUIN("Laquerriere-Pierquin"),
	LAUENSTEIN("Lauenstein"),
	LAW("Law"),
	LAWRENCE("Lawrence"),
	LEONARD_GEORGE("Leonard-George"),
	LEWIS("Lewis"),
	LILIENFELD("Lilienfeld"),
	LINDBLOM("Lindblom"),
	LORENZ("Lorenz"),
	LOW_BEER("Low-Beer"),
	LYSHOLM("Lysholm"),
	MAY("May"),
	MAYER("Mayer"),
	MERCHANT("Merchant"),
	MILLER("Miller"),
	MOORE("Moore"),
	MORTICE_PROJECTION("Mortice projection"),
	NEER("Neer"),
	NOLKE("Nolke"),
	NORGAARD("Norgaard"),
	OTTONELLO("Ottonello"),
	PAWLOW("Pawlow"),
	PEARSON("Pearson"),
	PENNER("Penner"),
	PIRIE("Pirie"),
	RAFERT("Rafert"),
	RAFERT_LONG("Rafert-Long"),
	RHESE("Rhese"),
	ROBERT("Robert"),
	ROSENBERG("Rosenberg"),
	SCHULLER("Schuller"),
	SETTEGAST("Settegast"),
	STAUNIG("Staunig"),
	STECHER("Stecher"),
	STENVERS("Stenvers"),
	STRYKER("Stryker"),
	SWANSON("Swanson"),
	TARRANT("Tarrant"),
	TAYLOR("Taylor"),
	TEUFEL("Teufel"),
	TITTERINGTON("Titterington"),
	TOWNE("Towne"),
	TWINING("Twining"),
	VALDINI("Valdini"),
	VAN_ROSEN_PROJECTION("Van Rosen projection"),
	WATERS("Waters"),
	WEST_POINT("West Point"),
	WIGBY_TAYLOR("Wigby-Taylor"),
	WOLF("Wolf"),
	ZANELLI("Zanelli");

	private String value;

	EnumCM_ProjectionEponymousName(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
